// ListBoxOrder.h: interface for the CListBoxOrder class.
// Copyright (c) 2016 by David Wincelberg
//////////////////////////////////////////////////////////////////////

#pragma once

class CListBoxData;
class CStringOrder;

class CListBoxOrder
{
// Construction/Destruction
public:
	CListBoxOrder (CStringOrder* pStringOrder = nullptr, bool bHandleDelete = true);
	virtual ~CListBoxOrder();

// Attributes
private:
	CStringOrder* m_pStringOrder;
	bool m_bHandleDelete;

// Operations
public:
	void SetStringOrder (CStringOrder* pStringOrder, bool bHandleDelete = true);
	bool ValidStringOrder() {return m_pStringOrder != nullptr;};
	CStringOrder* GetStringOrder() {return m_pStringOrder;};
	virtual int Compare (CString& strItem1, CListBoxData* pData1,
		CString& strItem2, CListBoxData* pData2);
};
